Get Deleted Employees
Fetch a summary of deleted employees.
Notes
- If the unit is deleted any deleted employees are “virtually” moved to the root store/main unit. If a deleted employee is restored the original unit ID is used.
- Employees are pruned from the list after a number of days, currently 30.
Request
apiKeystringrequired
API key of the unit.
deletedSincestring
Return only employees which have been deleted after the provided date/time.
curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
-H 'Content-Type: text/xml; charset=utf-8' \
-H 'SOAPAction: "uri:FlexForce/GetDeletedEmployees"' \
--data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetDeletedEmployees>
<apiKey xsi:type="xsd:string">string</apiKey>
<deletedSince xsi:type="xsd:string">string</deletedSince>
</tns:wsdlGetDeletedEmployees>
</soap:Body>
</soap:Envelope>
EOFResponse
returnArray<DeletedEmployee>
itemDeletedEmployee
A summary record for a deleted employee.
persIdintrequired
Employee ID
unitIdintrequired
ID of employee’s unit
badgeNostringrequired
Employee badge no
deleteddateTimerequired
When employee was deleted
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
<soap:Body>
<tns:wsdlGetDeletedEmployeesResponse>
<return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:DeletedEmployee[1]">
<item xsi:type="tns:DeletedEmployee">
<persId xsi:type="xsd:int">0</persId>
<unitId xsi:type="xsd:int">0</unitId>
<badgeNo xsi:type="xsd:string">string</badgeNo>
<deleted xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</deleted>
</item>
</return>
</tns:wsdlGetDeletedEmployeesResponse>
</soap:Body>
</soap:Envelope>Change log
| Date | Description |
|---|---|
| 2018-10-10 | Method created. |